# Flatpak version of the ELAN linguisic annotation program

## Overview
This is [ELAN](https://archive.mpi.nl/tla/elan/) packaged as a Flatpak package, which is especially useful in immutable distros like Fedora Silverblue, which may lack some of the packages that it expects (e.g. Silverblue and other Atomic Desktops lack native VLC packages and X11 libraries).

## Building
I provide prebuilt .flatpak bundles, but the build can easily be reproduced by running e.g.:

    > flatpak-builder --user --force-clean --install-deps-from=flathub --repo=repo --install builddir nl.mpi.archive.elan.yml
    
Then the Flatpak file can be produced by the following command:

    > flatpak build-bundle repo elan.flatpak nl.mpi.archive.elan
    
It would be convenient to integrate this package into [Flathub](https://flathub.org/), but I am not sure if it fits the guidelines at present. In particular, Flathub packages are preferably built from source, while this manifest simply downloads the precompiled ELAN binaries.
